<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NetscriptPort](./bitburner.netscriptport.md) &gt; [tryWrite](./bitburner.netscriptport.trywrite.md)

## NetscriptPort.tryWrite() method

Attempt to write data to the port.

<b>Signature:</b>

```typescript
tryWrite(value: string | number): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  value | string \| number |  |

<b>Returns:</b>

boolean

True if the data was added to the port, false if the port was full

## Remarks

RAM cost: 0 GB

